ndiswrapper-dkms 1.57~rc1-1: ndiswrapper kernel module failed to build (error: incompatible type for argument 2 of ‘pci_map_page’)

Bug #910597 reported by Martin Albisetti on 2012-01-01
This bug affects 305 people
Affects Status Importance Assigned to Milestone
ndiswrapper (Ubuntu)
Medium
Unassigned
ndiswrapper-modules-i386 (Ubuntu)
Undecided
Unassigned

Bug Description

TESTCASE:

(for precise alpha-1)
sudo apt-get install ndiswrapper-dkms

Installation will fail. Look at the resulting make.log to verify the error is the same.

ORIGINAL DESCRIPTION:

Failed on install.

ProblemType: Package
DistroRelease: Ubuntu 12.04
Package: ndiswrapper-dkms 1.57~rc1-1
ProcVersionSignature: Ubuntu 3.2.0-7.13-generic 3.2.0-rc7
Uname: Linux 3.2.0-7-generic x86_64
NonfreeKernelModules: fglrx
ApportVersion: 1.90-0ubuntu1
Architecture: amd64
DKMSKernelVersion: 3.2.0-7-generic
Date: Sun Jan 1 14:48:11 2012
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha amd64 (20111216.1)
PackageArchitecture: all
PackageVersion: 1.57~rc1-1
SourcePackage: ndiswrapper
Title: ndiswrapper-dkms 1.57~rc1-1: ndiswrapper kernel module failed to build
UpgradeStatus: No upgrade log present (probably fresh install)

Martin Albisetti (beuno) wrote :
tags: removed: need-duplicate-check
summary: ndiswrapper-dkms 1.57~rc1-1: ndiswrapper kernel module failed to build
+ (error: incompatible type for argument 2 of ‘pci_map_page’)
Changed in ndiswrapper (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
description: updated
tags: added: testcase
Daniel van Vugt (vanvugt) wrote :

Failure to install is only medium importance??

Julian Andres Klode (juliank) wrote :

Yes, it's known not to work with the lastest kernel version. Latest upstream SVN should work according to the Debian BTS. Will take a closer look at it soon.

fatih sukran (sukran) wrote :

same case here...failed to build ndiswrapper kernel module.

Julian Andres Klode (juliank) wrote :

Just uploaded 1.57-1 to Debian unstable which fixes the bug.

Julian Andres Klode (juliank) wrote :
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ndiswrapper - 1.57-1

---------------
ndiswrapper (1.57-1) unstable; urgency=low

  * Imported Upstream version 1.57
    - Fixes build with kernel 3.2 (Closes: #655223, LP: #910597)
  * Enable hardening build flags (Closes: #655249)
  * patches/ndiswrapper-harden.patch: Use $(shell X) instead of `X`
  * Update to Policy 3.9.3, copyright-format 1.0

 -- Julian Andres Klode <email address hidden> Mon, 05 Mar 2012 16:49:02 +0100

Changed in ndiswrapper (Ubuntu):
status: Triaged → Fix Released
description: updated
Henry Tseng (henryiis) wrote :

How would we get this patch?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ndiswrapper-modules-i386 (Ubuntu):
status: New → Confirmed

cant rebuild wireless driver due to a missing header

Markus Billich (samsy9) on 2013-07-18
Changed in ndiswrapper-modules-i386 (Ubuntu):
status: Confirmed → Fix Released
Michael (taurus6170) on 2014-03-12
information type: Public → Private Security
information type: Private Security → Public
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers